// Main entry point for random map script
// Free TC Nomad by Flammifer Nov 02
// I've taken ES's nomad rms and added a few things to let you place your starting tc anywhere

//place your pegasus over one of your starting villagers to place your tc
//note: this will kill your pegasus
//if for any reason your settlement count drops to 0 you will be given resources to build a new one
//note: this trigger does NOT loop and deactiveates the convert villager to tc triggers

void main(void)

{

   // Text
   rmSetStatusText("",0.10);
   
   rmCreateTrigger("Prevent Fighting");
   rmSetTriggerActive(true);

   rmAddTriggerCondition("Timer");
   rmSetTriggerConditionParamInt("Param1", 1);

   rmAddTriggerEffect("Grant God Power");
   rmSetTriggerEffectParamInt("PlayerID", 0);
   rmSetTriggerEffectParam("PowerName", "cease fire nomad");
   rmSetTriggerEffectParamInt("Count", 1);

   rmAddTriggerEffect("Invoke God Power");
   rmSetTriggerEffectParamInt("PlayerID", 0);
   rmSetTriggerEffectParam("PowerName", "cease fire nomad");
   rmSetTriggerEffectParam("DstPoint1", "1,1,1");

   rmAddTriggerEffect("Send Chat");
   rmSetTriggerEffectParamInt("PlayerID", 0);
   rmSetTriggerEffectParam("Message", "{22556}");

   rmCreateTrigger("Dawn");
   rmCreateTrigger("Day");

   rmSwitchToTrigger(rmTriggerID("Dawn"));
   rmSetTriggerActive(true);
   rmAddTriggerCondition("Timer");
   rmSetTriggerConditionParamInt("Param1", 60);
   rmAddTriggerEffect("Set Lighting");
   rmSetTriggerEffectParam("SetName", "Dawn");
   rmSetTriggerEffectParamInt("FadeTime", 30);
   rmAddTriggerEffect("Fire Event");
   rmSetTriggerEffectParamInt("EventID", rmTriggerID("Day"));

   rmSwitchToTrigger(rmTriggerID("Day"));
   rmSetTriggerActive(false);
   rmAddTriggerCondition("Timer");
   rmSetTriggerConditionParamInt("Param1", 120);
   rmAddTriggerEffect("Set Lighting");
   rmSetTriggerEffectParam("SetName", "Default");
   rmSetTriggerEffectParamInt("FadeTime", 30);


// ------------------------------------ END TRIGGERS -----------------------------------

   // Set size.
   int playerTiles=9000;
   if(cMapSize == 1)
   {
      playerTiles = 11700;
      rmEchoInfo("Large map");
   }
   int size=2.0*sqrt(cNumberNonGaiaPlayers*playerTiles/0.9);
   rmEchoInfo("Map size="+size+"m x "+size+"m");
   rmSetMapSize(size, size);

   // Set up default water.
   rmSetSeaLevel(0.0);

   // Init map.
   rmSetSeaType("Red Sea");
   rmTerrainInitialize("water");
   rmSetLightingSet("night");

   // Define some classes.
   int classPlayer=rmDefineClass("player");
   rmDefineClass("corner");
   rmDefineClass("starting settlement");
   int classCliff=rmDefineClass("cliff");
   int classPatch=rmDefineClass("patch");

   // -------------Define constraints
   
   // Create a edge of map constraint.
   int edgeConstraint=rmCreateBoxConstraint("edge of map", rmXTilesToFraction(0), rmZTilesToFraction(8), 1.0-rmXTilesToFraction(8), 1.0-rmZTilesToFraction(8));

   // corner constraint.
   int cornerConstraint=rmCreateClassDistanceConstraint("stay away from corner", rmClassID("corner"), 15.0);
   int cornerOverlapConstraint=rmCreateClassDistanceConstraint("don't overlap corner", rmClassID("corner"), 2.0);
   int playerConstraint=rmCreateClassDistanceConstraint("stay away from players", classPlayer, size*0.05);

   // Settlement constraints
   int shortAvoidSettlement=rmCreateTypeDistanceConstraint("objects avoid TC by short distance", "AbstractSettlement", 20.0);
   int mediumAvoidSettlement=rmCreateTypeDistanceConstraint("objects avoid TC by medium distance", "AbstractSettlement", 30.0);
   int farAvoidSettlement=rmCreateTypeDistanceConstraint("objects avoid TC by long distance", "AbstractSettlement", 50.0);
       
   // Tower constraint.
   int avoidTower=rmCreateTypeDistanceConstraint("towers avoid towers", "tower", 28.0);
   int avoidTower2=rmCreateTypeDistanceConstraint("objects avoid towers", "tower", 25.0);

   // Gold
   int avoidGold=rmCreateTypeDistanceConstraint("avoid gold", "gold", 30.0);
   int shortAvoidGold=rmCreateTypeDistanceConstraint("short avoid gold", "gold", 10.0);

   // Food
   int avoidHerdable=rmCreateTypeDistanceConstraint("avoid herdable", "herdable", 20.0);
   int avoidPredator=rmCreateTypeDistanceConstraint("avoid predator", "animalPredator", 20.0);
   int avoidFood=rmCreateTypeDistanceConstraint("avoid other food sources", "food", 6.0);

   // Avoid impassable land
   int avoidImpassableLand=rmCreateTerrainDistanceConstraint("avoid impassable land", "land", false, 10.0);
   int cliffConstraint=rmCreateClassDistanceConstraint("cliff v cliff", rmClassID("cliff"), 50.0);
   int shortCliffConstraint=rmCreateClassDistanceConstraint("elev v cliff", rmClassID("cliff"), 10.0);
   int avoidStartingUnits=rmCreateTypeDistanceConstraint("avoid starting units", "unit", 40);
   int avoidAll=rmCreateTypeDistanceConstraint("avoid all", "all", 6.0);

   int patchVsPatchConstraint=rmCreateClassDistanceConstraint("patch avoid patch", classPatch, 10.0);

  
   // -------------Define objects
 // Close Objects

   // Starting units
   
   int VillagerGreekaID=rmCreateObjectDef("Villager Greek A");
   rmAddObjectDefItem(VillagerGreekaID, "Villager Greek", 1, 0.0);
   rmSetObjectDefMinDistance(VillagerGreekaID, 0.0);
   rmSetObjectDefMaxDistance(VillagerGreekaID, rmXFractionToMeters(0.25));
   rmAddObjectDefConstraint(VillagerGreekaID, shortCliffConstraint);
   rmAddObjectDefConstraint(VillagerGreekaID, mediumAvoidSettlement);
   rmAddObjectDefConstraint(VillagerGreekaID, avoidStartingUnits);

   int VillagerNorseaID=rmCreateObjectDef("Villager norse A");
   rmAddObjectDefItem(VillagerNorseaID, "Villager norse", 1, 0.0);
   rmSetObjectDefMinDistance(VillagerNorseaID, 0.0);
   rmSetObjectDefMaxDistance(VillagerNorseaID, rmXFractionToMeters(0.25));
   rmAddObjectDefConstraint(VillagerNorseaID, shortCliffConstraint);
   rmAddObjectDefConstraint(VillagerNorseaID, mediumAvoidSettlement);
   rmAddObjectDefConstraint(VillagerNorseaID, avoidStartingUnits);

   int VillagerEgyptianaID=rmCreateObjectDef("Villager Egyptian A");
   rmAddObjectDefItem(VillagerEgyptianaID, "Villager Egyptian", 1, 0.0);
   rmSetObjectDefMinDistance(VillagerEgyptianaID, 0.0);
   rmSetObjectDefMaxDistance(VillagerEgyptianaID, rmXFractionToMeters(0.25));
   rmAddObjectDefConstraint(VillagerEgyptianaID, shortCliffConstraint);
   rmAddObjectDefConstraint(VillagerEgyptianaID, mediumAvoidSettlement);
   rmAddObjectDefConstraint(VillagerEgyptianaID, avoidStartingUnits);   
   
   int VillagerGreekbID=rmCreateObjectDef("Villager Greek B");
   rmAddObjectDefItem(VillagerGreekbID, "Villager Greek", 1, 0.0);
   rmSetObjectDefMinDistance(VillagerGreekbID, 0.0);
   rmSetObjectDefMaxDistance(VillagerGreekbID, rmXFractionToMeters(0.25));
   rmAddObjectDefConstraint(VillagerGreekbID, shortCliffConstraint);
   rmAddObjectDefConstraint(VillagerGreekbID, mediumAvoidSettlement);
   rmAddObjectDefConstraint(VillagerGreekbID, avoidStartingUnits);

   int VillagerNorsebID=rmCreateObjectDef("Villager norse B");
   rmAddObjectDefItem(VillagerNorsebID, "Villager norse", 1, 0.0);
   rmSetObjectDefMinDistance(VillagerNorsebID, 0.0);
   rmSetObjectDefMaxDistance(VillagerNorsebID, rmXFractionToMeters(0.25));
   rmAddObjectDefConstraint(VillagerNorsebID, shortCliffConstraint);
   rmAddObjectDefConstraint(VillagerNorsebID, mediumAvoidSettlement);
   rmAddObjectDefConstraint(VillagerNorsebID, avoidStartingUnits);

   int VillagerEgyptianbID=rmCreateObjectDef("Villager Egyptian B");
   rmAddObjectDefItem(VillagerEgyptianbID, "Villager Egyptian", 1, 0.0);
   rmSetObjectDefMinDistance(VillagerEgyptianbID, 0.0);
   rmSetObjectDefMaxDistance(VillagerEgyptianbID, rmXFractionToMeters(0.25));
   rmAddObjectDefConstraint(VillagerEgyptianbID, shortCliffConstraint);
   rmAddObjectDefConstraint(VillagerEgyptianbID, mediumAvoidSettlement);
   rmAddObjectDefConstraint(VillagerEgyptianbID, avoidStartingUnits);   

   // Far Objects

   // Settlement avoids gold, Settlements
   int farSettlementID=rmCreateObjectDef("far settlement");
   rmAddObjectDefItem(farSettlementID, "Settlement", 1, 0.0);
   rmSetObjectDefMaxDistance(farSettlementID, rmAreaFractionToTiles(1.0));
   rmAddObjectDefConstraint(farSettlementID, edgeConstraint);
   rmAddObjectDefConstraint(farSettlementID, farAvoidSettlement);
   rmAddObjectDefConstraint(farSettlementID, avoidImpassableLand);
         
   // gold avoids gold
   int farGoldID=rmCreateObjectDef("far gold");
   rmAddObjectDefItem(farGoldID, "Gold mine", 1, 0.0);
   rmSetObjectDefMinDistance(farGoldID, 80.0);
   rmSetObjectDefMaxDistance(farGoldID, 150.0);
   rmAddObjectDefConstraint(farGoldID, avoidGold);
   rmAddObjectDefConstraint(farGoldID, avoidImpassableLand);

   // gold avoids gold, Settlements and TCs
   int farGold2ID=rmCreateObjectDef("far gold 2");
   rmAddObjectDefItem(farGold2ID, "Gold mine", 1, 0.0);
   rmSetObjectDefMinDistance(farGold2ID, 80.0);
   rmSetObjectDefMaxDistance(farGold2ID, 150.0);
   rmAddObjectDefConstraint(farGold2ID, avoidGold);
   rmAddObjectDefConstraint(farGold2ID, avoidImpassableLand);

   // goats avoid TCs 
   int farGoatsID=rmCreateObjectDef("far goats");
   rmAddObjectDefItem(farGoatsID, "goat", 2, 4.0);
   rmSetObjectDefMinDistance(farGoatsID, 80.0);
   rmSetObjectDefMaxDistance(farGoatsID, 150.0);
   rmAddObjectDefConstraint(farGoatsID, avoidImpassableLand);
   rmAddObjectDefConstraint(farGoatsID, avoidAll);
   
   // Berries  
   int farBerriesID=rmCreateObjectDef("far berries");
   rmAddObjectDefItem(farBerriesID, "berry bush", 10, 4.0);
   rmSetObjectDefMinDistance(farBerriesID, 0.0);
   rmSetObjectDefMaxDistance(farBerriesID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(farBerriesID, avoidImpassableLand);
   rmAddObjectDefConstraint(farBerriesID, avoidAll);
   
   // This map will either use zebra or giraffe as the extra huntable food.
   int classBonusHuntable=rmDefineClass("bonus huntable");
   int avoidBonusHuntable=rmCreateClassDistanceConstraint("avoid bonus huntable", classBonusHuntable, 40.0);
   int avoidHuntable=rmCreateTypeDistanceConstraint("avoid huntable", "huntable", 20.0);

   // hunted avoids hunted and TCs
   int bonusHuntableID=rmCreateObjectDef("bonus huntable");
   float bonusChance=rmRandFloat(0, 1);
   if(bonusChance<0.5)   
      rmAddObjectDefItem(bonusHuntableID, "zebra", rmRandFloat(5, 8), 3.0);
   else
      rmAddObjectDefItem(bonusHuntableID, "giraffe", rmRandFloat(3, 5), 2.0);
   rmSetObjectDefMinDistance(bonusHuntableID, 0.0);
   rmSetObjectDefMaxDistance(bonusHuntableID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(bonusHuntableID, avoidBonusHuntable);
   rmAddObjectDefConstraint(bonusHuntableID, avoidHuntable);
   rmAddObjectDefToClass(bonusHuntableID, classBonusHuntable);
   rmAddObjectDefConstraint(bonusHuntableID, avoidImpassableLand);
   rmAddObjectDefConstraint(bonusHuntableID, avoidAll);

   // hunted 2 avoids hunted and TCs
   int bonusHuntable2ID=rmCreateObjectDef("second bonus huntable");
   float bonusChance2=rmRandFloat(0, 1);
   if(bonusChance2<0.5)   
      rmAddObjectDefItem(bonusHuntable2ID, "elephant", 2, 2.0);
   else
      rmAddObjectDefItem(bonusHuntable2ID, "rhinocerous", 2, 2.0);
   rmSetObjectDefMinDistance(bonusHuntable2ID, 0.0);
   rmSetObjectDefMaxDistance(bonusHuntable2ID, rmXFractionToMeters(0.5));
   rmAddObjectDefToClass(bonusHuntable2ID, classBonusHuntable);
   rmAddObjectDefConstraint(bonusHuntable2ID, avoidBonusHuntable);
   rmAddObjectDefConstraint(bonusHuntable2ID, avoidHuntable);
   rmAddObjectDefToClass(bonusHuntable2ID, classBonusHuntable);
   rmAddObjectDefConstraint(bonusHuntable2ID, avoidImpassableLand);
   rmAddObjectDefConstraint(bonusHuntable2ID, avoidAll);

   int randomTreeID=rmCreateObjectDef("random tree");
   rmAddObjectDefItem(randomTreeID, "palm", 1, 0.0);
   rmSetObjectDefMinDistance(randomTreeID, 0.0);
   rmSetObjectDefMaxDistance(randomTreeID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(randomTreeID, rmCreateTypeDistanceConstraint("random tree", "all", 4.0));
   rmAddObjectDefConstraint(randomTreeID, shortAvoidSettlement);
   rmAddObjectDefConstraint(randomTreeID, avoidImpassableLand);

   int randomtree2ID=rmCreateObjectDef("random tree two");
   rmAddObjectDefItem(randomtree2ID, "oak tree", 1, 0.0);
   rmSetObjectDefMinDistance(randomtree2ID, 0.0);
   rmSetObjectDefMaxDistance(randomtree2ID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(randomtree2ID, rmCreateTypeDistanceConstraint("random tree 2", "all", 4.0));
   rmAddObjectDefConstraint(randomtree2ID, shortAvoidSettlement);
   rmAddObjectDefConstraint(randomtree2ID, avoidImpassableLand);

   // Monkeys avoid TCs  
   int farMonkeyID=rmCreateObjectDef("far monkeys");
   rmAddObjectDefItem(farMonkeyID, "baboon", 8, 2.0);
   rmSetObjectDefMinDistance(farMonkeyID, 0.0);
   rmSetObjectDefMaxDistance(farMonkeyID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(farMonkeyID, avoidImpassableLand);

   // Birds
   int farhawkID=rmCreateObjectDef("far hawks");
   rmAddObjectDefItem(farhawkID, "vulture", 1, 0.0);
   rmSetObjectDefMinDistance(farhawkID, 0.0);
   rmSetObjectDefMaxDistance(farhawkID, rmXFractionToMeters(0.5));
   
   // Relics avoid TCs
   int relicID=rmCreateObjectDef("relic");
   rmAddObjectDefItem(relicID, "relic", 1, 0.0);
   rmSetObjectDefMinDistance(relicID, 60.0);
   rmSetObjectDefMaxDistance(relicID, 150.0);
   rmAddObjectDefConstraint(relicID, avoidImpassableLand);
   rmAddObjectDefConstraint(relicID, rmCreateTypeDistanceConstraint("relic vs relic", "relic", 70.0));
   rmAddObjectDefConstraint(relicID, shortAvoidSettlement);

   int fishVsFishID=rmCreateTypeDistanceConstraint("fish v fish", "fish", 20.0);
   int fishLand = rmCreateTerrainDistanceConstraint("fish land", "land", true, 6.0);

   int fishID=rmCreateObjectDef("fish");
   rmAddObjectDefItem(fishID, "fish - mahi", 3, 9.0);
   rmSetObjectDefMinDistance(fishID, 0.0);
   rmSetObjectDefMaxDistance(fishID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(fishID, fishVsFishID);
   rmAddObjectDefConstraint(fishID, fishLand);

   int sharkLand = rmCreateTerrainDistanceConstraint("shark land", "land", true, 20.0);
   int sharkVssharkID=rmCreateTypeDistanceConstraint("shark v shark", "shark", 20.0);
   int sharkVssharkID2=rmCreateTypeDistanceConstraint("shark v orca", "orca", 20.0);
   int sharkVssharkID3=rmCreateTypeDistanceConstraint("shark v whale", "whale", 20.0);

   int sharkID=rmCreateObjectDef("shark");
   if(rmRandFloat(0,1)<0.5)
      rmAddObjectDefItem(sharkID, "orca", 1, 0.0);
   else
      rmAddObjectDefItem(sharkID, "whale", 1, 0.0);
   rmSetObjectDefMinDistance(sharkID, 0.0);
   rmSetObjectDefMaxDistance(sharkID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(sharkID, sharkVssharkID);
   rmAddObjectDefConstraint(sharkID, sharkVssharkID2);
   rmAddObjectDefConstraint(sharkID, sharkVssharkID3);
   rmAddObjectDefConstraint(sharkID, sharkLand);
   rmAddObjectDefConstraint(sharkID, edgeConstraint);




   // -------------Done defining objects


   rmSetTeamSpacingModifier(0.75);
   rmPlacePlayersCircular(0.2, 0.4, rmDegreesToRadians(4.0));

      // Text
   rmSetStatusText("",0.20);

   // Grow a big continent.
   int centerID=rmCreateArea("center");
   float direction = rmRandFloat(0, 1);
   rmSetAreaSize(centerID, 0.55, 0.60);

   if(direction<0.25)
   {
      rmAddAreaConstraint(centerID, rmCreateBoxConstraint("center-edge", 0.05, 0.05, 0.95, 1.0, 0.01));
      rmSetAreaLocation(centerID, 0.5, 0.7);
/*      rmAddAreaInfluencePoint(centerID, 0.8, 0.8); */
   }
   else if(direction<0.5)
   {
      rmAddAreaConstraint(centerID, rmCreateBoxConstraint("center-edge", 0.05, 0.00, 0.95, 0.95, 0.01));
      rmSetAreaLocation(centerID, 0.5, 0.3);
   }
   else if(direction<0.75)
   {
      rmAddAreaConstraint(centerID, rmCreateBoxConstraint("center-edge", 0.05, 0.05, 1.0, 0.95, 0.01));
      rmSetAreaLocation(centerID, 0.7, 0.5);
   }
   else
   {
      rmAddAreaConstraint(centerID, rmCreateBoxConstraint("center-edge", 0.00, 0.05, 0.95, 0.95, 0.01));
      rmSetAreaLocation(centerID, 0.3, 0.5);
   }
   rmSetAreaCoherence(centerID, 0.0);
   rmSetAreaBaseHeight(centerID, 2.0);
   rmSetAreaTerrainType(centerID, "sandB");
   rmSetAreaSmoothDistance(centerID, 10);
   rmSetAreaHeightBlend(centerID, 2);
   rmBuildArea(centerID);


   // Set up player areas.
   float playerFraction=rmAreaTilesToFraction(4000);
   for(i=1; <cNumberPlayers)
   {
      // Create the area.
      int id=rmCreateArea("Player"+i);

      // Assign to the player.
      rmSetPlayerArea(i, id);

      // Set the size.
      rmSetAreaSize(id, 0.9*playerFraction, 1.1*playerFraction);

      rmAddAreaToClass(id, classPlayer);
      rmSetAreaWarnFailure(id, false);

      rmSetAreaMinBlobs(id, 1);
      rmSetAreaMaxBlobs(id, 5);
      rmSetAreaMinBlobDistance(id, 16.0);
      rmSetAreaMaxBlobDistance(id, 40.0);
      rmSetAreaCoherence(id, 0.0);

      //rmSetAreaBaseHeight(id, 4.0);

      // Add constraints.
      rmAddAreaConstraint(id, playerConstraint);
      rmAddAreaConstraint(id, edgeConstraint);


      // Set the location.
      rmSetAreaLocPlayer(id, i);

      // Set type.
      rmSetAreaTerrainType(id, "SandA");
   }

   // Build the areas.
   rmBuildAllAreas();

   // Text
   rmSetStatusText("",0.40);

   for(i=1; <cNumberPlayers*2)
   {
      // Beautification sub area.
      int id2=rmCreateArea("beaut area"+i, centerID);
      rmSetAreaSize(id2, rmAreaTilesToFraction(400), rmAreaTilesToFraction(600));
      rmSetAreaTerrainType(id2, "SandD");
      rmAddAreaTerrainLayer(id2, "SandC", 1, 4);
      rmSetAreaMinBlobs(id2, 1);
      rmSetAreaMaxBlobs(id2, 5);
      rmAddAreaToClass(id2, classPatch);
      rmSetAreaWarnFailure(id2, false);
      rmSetAreaMinBlobDistance(id2, 16.0);
      rmSetAreaMaxBlobDistance(id2, 40.0);
      rmSetAreaCoherence(id2, 0.4);

      rmBuildArea(id2);
   }

   for(i=1; <cNumberPlayers*2)
   {
      // Beautification sub area.
      int id3=rmCreateArea("beaut area deux"+i, centerID);
      rmSetAreaSize(id3, rmAreaTilesToFraction(400), rmAreaTilesToFraction(600));
      rmSetAreaTerrainType(id3, "GrassDirt25");
      rmAddAreaTerrainLayer(id3, "GrassDirt50", 2, 4);
      rmAddAreaTerrainLayer(id3, "GrassDirt75", 0, 1);
      rmSetAreaMinBlobs(id3, 1);
      rmSetAreaMaxBlobs(id3, 5);
      rmAddAreaToClass(id3, classPatch);
      rmAddAreaConstraint(id3, patchVsPatchConstraint);
      rmSetAreaWarnFailure(id3, false);
      rmSetAreaMinBlobDistance(id3, 16.0);
      rmSetAreaMaxBlobDistance(id3, 40.0);
      rmSetAreaCoherence(id3, 0.5);

      rmBuildArea(id3);
   }

      for(i=1; <cNumberPlayers*2)
   {
      // Beautification sub area.
      int id4=rmCreateArea("beaut area tres"+i, centerID);
      rmSetAreaSize(id4, rmAreaTilesToFraction(60), rmAreaTilesToFraction(120));
      rmSetAreaTerrainType(id4, "SandDirt50");
      rmSetAreaMinBlobs(id4, 1);
      rmSetAreaMaxBlobs(id4, 5);
      rmAddAreaToClass(id4, classPatch);
      rmAddAreaConstraint(id4, patchVsPatchConstraint);
      rmSetAreaWarnFailure(id4, false);
      rmSetAreaMinBlobDistance(id4, 16.0);
      rmSetAreaMaxBlobDistance(id4, 40.0);
      rmSetAreaCoherence(id4, 0.5);

      rmBuildArea(id4);
   }

   // Text
   rmSetStatusText("",0.60);

   // Settlements.
   rmPlaceObjectDefAtLoc(farSettlementID, 0, 0.5, 0.5, cNumberNonGaiaPlayers*2);

      // Elev.
   int numTries=40*cNumberNonGaiaPlayers;
   int avoidBuildings=rmCreateTypeDistanceConstraint("avoid buildings", "Building", 20.0);
   int failCount=0;
   for(i=0; <numTries)
   {
      int elevID=rmCreateArea("elev"+i, centerID);
      rmSetAreaSize(elevID, rmAreaTilesToFraction(50), rmAreaTilesToFraction(120));
      rmSetAreaWarnFailure(elevID, false);
      rmAddAreaConstraint(elevID, cornerConstraint);
      rmAddAreaConstraint(elevID, avoidBuildings);
      rmAddAreaConstraint(elevID, avoidImpassableLand);
      if(rmRandFloat(0.0, 1.0)<0.5)
         rmSetAreaTerrainType(elevID, "SandA");
      rmSetAreaBaseHeight(elevID, rmRandFloat(5.0, 10.0));
      rmSetAreaHeightBlend(elevID, 2); 
      rmSetAreaMinBlobs(elevID, 1);
      rmSetAreaMaxBlobs(elevID, 5);
      rmSetAreaMinBlobDistance(elevID, 16.0);
      rmSetAreaMaxBlobDistance(elevID, 40.0);
      rmSetAreaCoherence(elevID, 0.0);


      if(rmBuildArea(elevID)==false)
      {
         // Stop trying once we fail 3 times in a row.
         failCount++;
         if(failCount==3)
            break;
      }
      else
         failCount=0;
   }

   // Slight Elevation
   numTries=20*cNumberNonGaiaPlayers;
   failCount=0;
   for(i=0; <numTries)
   {
      elevID=rmCreateArea("wrinkle"+i, centerID);
      rmSetAreaSize(elevID, rmAreaTilesToFraction(15), rmAreaTilesToFraction(120));
      rmSetAreaWarnFailure(elevID, false);
      rmSetAreaBaseHeight(elevID, rmRandFloat(3.0, 4.0));
      rmSetAreaHeightBlend(elevID, 1);
      rmAddAreaConstraint(elevID, avoidImpassableLand);
      rmSetAreaMinBlobs(elevID, 1);
      rmSetAreaMaxBlobs(elevID, 3);
      rmSetAreaMinBlobDistance(elevID, 16.0);
      rmSetAreaMaxBlobDistance(elevID, 20.0);
      rmSetAreaCoherence(elevID, 0.0);

      if(rmBuildArea(elevID)==false)
      {
         // Stop trying once we fail 12 times in a row.
         failCount++;
         if(failCount==12)
            break;
      }
      else
         failCount=0;
   }

   // Draw cliffs

   for(i=0; <5)
   {
      int cliffID=rmCreateArea("cliff"+i, centerID);
      rmSetAreaWarnFailure(cliffID, false);
      rmSetAreaSize(cliffID, rmAreaTilesToFraction(300), rmAreaTilesToFraction(500));
      rmSetAreaCliffType(cliffID, "Egyptian");
      rmAddAreaConstraint(cliffID, cliffConstraint);
      rmAddAreaConstraint(cliffID, avoidBuildings);
      rmAddAreaConstraint(cliffID, avoidImpassableLand);
      rmAddAreaToClass(cliffID, classCliff);
      rmSetAreaMinBlobs(cliffID, 10);
      rmSetAreaMaxBlobs(cliffID, 10);
      int edgeRand=rmRandInt(0,100);
      if(edgeRand<33)
      {
      // Inaccesible
         rmSetAreaCliffEdge(cliffID, 1, 1.0, 0.0, 1.0, 0);
         rmSetAreaCliffPainting(cliffID, true, true, true, 1.5, false);
         rmSetAreaTerrainType(cliffID, "cliffEgyptianA");
      }
      else
      // AOK style
      {
         rmSetAreaCliffEdge(cliffID, 1, 0.6, 0.1, 1.0, 0);
         rmSetAreaCliffPainting(cliffID, false, true, true, 1.5, true);
      }
      rmSetAreaCliffHeight(cliffID, 7, 1.0, 1.0);


      rmSetAreaMinBlobDistance(cliffID, 20.0);
      rmSetAreaMaxBlobDistance(cliffID, 20.0);
      rmSetAreaCoherence(cliffID, 0.0);
      rmSetAreaSmoothDistance(cliffID, 10);
      rmSetAreaCliffHeight(cliffID, 7, 1.0, 1.0);
      rmSetAreaHeightBlend(cliffID, 2); 
      rmBuildArea(cliffID);
   }


   // Close things....
   
      int playerculture = 0;

    for(i=0; <cNumberPlayers)
   {
      playerculture = rmGetPlayerCulture(i);
      rmEchoInfo("player "+i+" culture "+playerculture);      
         
   }  
  
//unit to trigger tc placement
 
   int PegasusID=rmCreateObjectDef("Pegasus");
   rmAddObjectDefItem(PegasusID, "Pegasus", 1, 0.0);
   rmSetObjectDefMinDistance(PegasusID, 0.0);
   rmSetObjectDefMaxDistance(PegasusID, rmXFractionToMeters(0.25));
   rmAddObjectDefConstraint(PegasusID, shortCliffConstraint);
   rmAddObjectDefConstraint(PegasusID, mediumAvoidSettlement);
   rmAddObjectDefConstraint(PegasusID, avoidStartingUnits);

 for(i=1; <cNumberPlayers)
   {
rmCreateTrigger("TCResources"+i);
rmCreateTrigger("CreateTCA"+i);
rmCreateTrigger("CreateTCB"+i);

rmSwitchToTrigger(rmTriggerID("TCResources"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);
rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1", 210);

	if(rmGetPlayerCulture(i) == cCultureGreek)
{
rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID", i);
rmSetTriggerConditionParam("ProtoUnit", "Settlement Level 1");
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Count", 0);
rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "wood");
rmSetTriggerEffectParamInt("Amount", 300);
rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "gold");
rmSetTriggerEffectParamInt("Amount", 300);
}
	if(rmGetPlayerCulture(i) == cCultureEgyptian)
{
rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID", i);
rmSetTriggerConditionParam("ProtoUnit", "Settlement Level 1");
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Count", 0);
rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "gold");
rmSetTriggerEffectParamInt("Amount", 400);
}
	if(rmGetPlayerCulture(i) == cCultureNorse)
{
rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID", i);
rmSetTriggerConditionParam("ProtoUnit", "Settlement Level 1");
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Count", 0);
rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "wood");
rmSetTriggerEffectParamInt("Amount", 300);
rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "gold");
rmSetTriggerEffectParamInt("Amount", 300);
}

rmAddTriggerEffect("Disable Trigger");
rmSetTriggerEffectParam("TrigName", "CreateTCA"+i);
rmAddTriggerEffect("Disable Trigger");
rmSetTriggerEffectParam("TrigName", "CreateTCB"+i);

//create pegasus, villagers and the triggers that make the tc
//this is what i'd like to do, but as arrays don't work it only serves as an easy way to see what's going on


//string PegasusObjectName[cNumberPlayers];
//rmPlaceObjectDefAtLoc(PegasusID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
//PegasusObjectName[i] =""+rmGetUnitPlacedOfPlayer(PegasusID, i);

//string VillagerAObjectName[cNumberPlayers];
//string VillagerBObjectName[cNumberPlayers];

//if(rmGetPlayerCulture(i) == cCultureGreek)
//	{
//	rmPlaceObjectDefAtLoc(VillagerGreekaID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
//	rmPlaceObjectDefAtLoc(VillagerGreekbID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
//string VillagerAObjectName[i]=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
//string VillagerBObjectName[i]=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);
//	}

//if(rmGetPlayerCulture(i) == cCultureEgyptian)
//	{
//	rmPlaceObjectDefAtLoc(VillagerEgyptianaID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
//	rmPlaceObjectDefAtLoc(VillagerEgyptianbID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
//string VillagerAObjectName[i]=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
//string VillagerBObjectName[i]=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);
//	}

//if(rmGetPlyaerCulture(i) == cCulgureNorse)
//	{
//	rmPlaceObjectDefAtLoc(VillagerNorseaID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
//	rmPlaceObjectDefAtLoc(VillagerNorsebID, i, rmPlayerLocXFraction(i), rmPLayerLocZFracion(i), 1);
//string VillagerAObjectName[i]=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
//string VillagerBObjectName[i]=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);
//	}

//rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
//rmSetTriggerActive(true);
//rmSetTriggerLoop(false);

//rmAddTriggerCondition("Distance to Unit");
//rmSetTriggerConditionParam("SrcObject", VillagerAObjectName[i]);
//rmSetTriggerConditionParam("DstObject", VillagerBObjectName[i]);
//rmSetTriggerConditionParam("Op", ">");
//rmSetTriggerConditionParamInt("Dist", 5);

//rmAddTriggerCondition("Distance to Unit");
//rmSetTriggerConditionParam("SrcObject", PegasusObjectName[i]);
//rmSetTriggerConditionParam("DstObject", VillagerAObjectName[i]);
//rmSetTriggerConditionParam("Op", "==");
//rmSetTriggerConditionParamInt("Dist", 0);

//rmAddTriggerEffect("Change Unit Type");
//rmSetTriggerEffectParam("SrcObject", VillagerAObjectName[i]);
//rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
//rmAddTriggerEffect("Kill");
//rmSetTriggerEffectParam("SrcObject", PegasusObjectName1);

//rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
//rmSetTriggerActive(true);
//rmSetTriggerLoop(false);

//rmAddTriggerCondition("Distance to Unit");
//rmSetTriggerConditionParam("SrcObject", PegasusObjectName[i]);
//rmSetTriggerConditionParam("DstObject", VillagerBObjectName[i]);
//rmSetTriggerConditionParam("Op", "==");
//rmSetTriggerConditionParamInt("Dist", 0);

//rmAddTriggerEffect("Change Unit Type");
//rmSetTriggerEffectParam("SrcObject", VillagerBObjectName[i]);
//rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
//rmAddTriggerEffect("Kill");
//rmSetTriggerEffectParam("SrcObject", PegasusObjectName[i]);
  
//}

rmPlaceObjectDefAtLoc(PegasusID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);

if(rmGetPlayerCulture(i) == cCultureGreek)
	{

rmPlaceObjectDefAtLoc(VillagerGreekaID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
rmPlaceObjectDefAtLoc(VillagerGreekbID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);

if(i == 1)
{
string PegasusObjectName1g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName1g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName1g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName1g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName1g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName1g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName1g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName1g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName1g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName1g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName1g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName1g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName1g);
}  

if(i == 2)
{
string PegasusObjectName2g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName2g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName2g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName2g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName2g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName2g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName2g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName2g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName2g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName2g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName2g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName2g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName2g);
}  

if(i == 3)
{
string PegasusObjectName3g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName3g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName3g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName3g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName3g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName3g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName3g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName3g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName3g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName3g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName3g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName3g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName3g);
}  

if(i == 4)
{
string PegasusObjectName4g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName4g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName4g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName4g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName4g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName4g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName4g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName4g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName4g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName4g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName4g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName4g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName4g);
}  

if(i == 5)
{
string PegasusObjectName5g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName5g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName5g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName5g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName5g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName5g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName5g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName5g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName5g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName5g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName5g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName5g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName5g);
}  

if(i == 6)
{
string PegasusObjectName6g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName6g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName6g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName6g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName6g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName6g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName6g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName6g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName6g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName6g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName6g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName6g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName6g);
}  

if(i == 7)
{
string PegasusObjectName7g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName7g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName7g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName7g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName7g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName7g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName7g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName7g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName7g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName7g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName7g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName7g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName7g);
}  

if(i == 8)
{
string PegasusObjectName8g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName8g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName8g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName8g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName8g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName8g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName8g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName8g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName8g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName8g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName8g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName8g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName8g);
}  

if(i == 9)
{
string PegasusObjectName9g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName9g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName9g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName9g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName9g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName9g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName9g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName9g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName9g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName9g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName9g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName9g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName9g);
}  

if(i == 10)
{
string PegasusObjectName10g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName10g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName10g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName10g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName10g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName10g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName10g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName10g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName10g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName10g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName10g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName10g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName10g);
}  

if(i == 11)
{
string PegasusObjectName11g =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName11g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName11g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName11g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName11g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName11g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName11g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName11g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName11g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName11g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName11g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName11g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName11g);
}  

if(i == 12)
{
string PegasusObjectName12g=""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName12g=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName12g=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName12g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName12g);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName12g);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName12g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName12g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName12g);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName12g);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName12g);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName12g);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName12g);
}  
	}

if(rmGetPlayerCulture(i) == cCultureEgyptian)
	{

rmPlaceObjectDefAtLoc(VillagerEgyptianaID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
rmPlaceObjectDefAtLoc(VillagerEgyptianbID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);

if(i == 1)
{
string PegasusObjectName1e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName1e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName1e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName1e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName1e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName1e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName1e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName1e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName1e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName1e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName1e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName1e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName1e);
}  

if(i == 2)
{
string PegasusObjectName2e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName2e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName2e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName2e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName2e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName2e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName2e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName2e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName2e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName2e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName2e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName2e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName2e);
}  

if(i == 3)
{
string PegasusObjectName3e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName3e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName3e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName3e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName3e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName3e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName3e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName3e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName3e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName3e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName3e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName3e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName3e);
}  

if(i == 4)
{
string PegasusObjectName4e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName4e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName4e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName4e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName4e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName4e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName4e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName4e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName4e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName4e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName4e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName4e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName4e);
}  

if(i == 5)
{
string PegasusObjectName5e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName5e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName5e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName5e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName5e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName5e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName5e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName5e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName5e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName5e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName5e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName5e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName5e);
}  

if(i == 6)
{
string PegasusObjectName6e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName6e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName6e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName6e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName6e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName6e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName6e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName6e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName6e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName6e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName6e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName6e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName6e);
}  

if(i == 7)
{
string PegasusObjectName7e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName7e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName7e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName7e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName7e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName7e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName7e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName7e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName7e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName7e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName7e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName7e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName7e);
}  

if(i == 8)
{
string PegasusObjectName8e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName8e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName8e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName8e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName8e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName8e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName8e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName8e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName8e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName8e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName8e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName8e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName8e);
}  

if(i == 9)
{
string PegasusObjectName9e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName9e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName9e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName9e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName9e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName9e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName9e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName9e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName9e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName9e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName9e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName9e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName9e);
}  

if(i == 10)
{
string PegasusObjectName10e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName10e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName10e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName10e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName10e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName10e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName10e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName10e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName10e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName10e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName10e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName10e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName10e);
}  

if(i == 11)
{
string PegasusObjectName11e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName11e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName11e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName11e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName11e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName11e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName11e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName11e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName11e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName11e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName11e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName11e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName11e);
}  

if(i == 12)
{
string PegasusObjectName12e =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName12e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianaID, i);  
string VillagerBObjectName12e=""+rmGetUnitPlacedOfPlayer(VillagerEgyptianbID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName12e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName12e);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName12e);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName12e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName12e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName12e);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName12e);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName12e);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName12e);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName12e);
}  
	}

else if(rmGetPlayerCulture(i) == cCultureNorse)
	{
	
rmPlaceObjectDefAtLoc(VillagerNorseaID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);
rmPlaceObjectDefAtLoc(VillagerNorsebID, i, rmPlayerLocXFraction(i), rmPlayerLocZFraction(i), 1);

if(i == 1)
{
string PegasusObjectName1n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName1n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName1n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName1n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName1n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName1n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName1n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName1n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName1n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName1n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName1n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName1n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName1n);
}  

if(i == 2)
{
string PegasusObjectName2n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName2n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName2n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName2n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName2n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName2n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName2n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName2n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName2n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName2n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName2n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName2n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName2n);
}  

if(i == 3)
{
string PegasusObjectName3n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName3n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName3n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName3n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName3n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName3n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName3n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName3n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName3n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName3n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName3n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName3n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName3n);
}  

if(i == 4)
{
string PegasusObjectName4n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName4n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName4n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName4n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName4n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName4n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName4n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName4n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName4n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName4n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName4n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName4n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName4n);
}  

if(i == 5)
{
string PegasusObjectName5n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName5n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName5n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName5n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName5n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName5n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName5n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName5n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName5n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName5n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName5n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName5n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName5n);
}  

if(i == 6)
{
string PegasusObjectName6n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName6n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName6n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName6n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName6n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName6n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName6n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName6n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName6n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName6n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName6n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName6n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName6n);
}  

if(i == 7)
{
string PegasusObjectName7n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName7n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName7n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName7n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName7n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName7n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName7n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName7n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName7n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName7n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName7n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName7n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName7n);
}  

if(i == 8)
{
string PegasusObjectName8n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName8n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName8n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName8n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName8n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName8n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName8n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName8n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName8n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName8n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName8n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName8n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName8n);
}  

if(i == 9)
{
string PegasusObjectName9n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName9n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName9n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName9n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName9n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName9n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName9n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName9n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName9n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName9n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName9n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName9n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName9n);
}  

if(i == 10)
{
string PegasusObjectName10n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName10n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName10n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);

rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName10n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName10n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName10n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName10n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName10n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName10n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName10n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName10n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName10n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName10n);
}  

if(i == 11)
{
string PegasusObjectName11n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName11n=""+rmGetUnitPlacedOfPlayer(VillagerNorseaID, i);  
string VillagerBObjectName11n=""+rmGetUnitPlacedOfPlayer(VillagerNorsebID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName11n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName11n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName11n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName11n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName11n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName11n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName11n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName11n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName11n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName11n);
}  

if(i == 12)
{
string PegasusObjectName12n =""+rmGetUnitPlacedOfPlayer(PegasusID, i);
string VillagerAObjectName12n=""+rmGetUnitPlacedOfPlayer(VillagerGreekaID, i);  
string VillagerBObjectName12n=""+rmGetUnitPlacedOfPlayer(VillagerGreekbID, i);
	
rmSwitchToTrigger(rmTriggerID("CreateTCA"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", VillagerAObjectName12n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName12n);
rmSetTriggerConditionParam("Op", ">");
rmSetTriggerConditionParamInt("Dist", 5);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName12n);
rmSetTriggerConditionParam("DstObject", VillagerAObjectName12n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerAObjectName12n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName12n);

rmSwitchToTrigger(rmTriggerID("CreateTCB"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Distance to Unit");
rmSetTriggerConditionParam("SrcObject", PegasusObjectName12n);
rmSetTriggerConditionParam("DstObject", VillagerBObjectName12n);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamInt("Dist", 0);

rmAddTriggerEffect("Change Unit Type");
rmSetTriggerEffectParam("SrcObject", VillagerBObjectName12n);
rmSetTriggerEffectParam("ProtoUnit", "Settlement Level 1");
rmAddTriggerEffect("Kill");
rmSetTriggerEffectParam("SrcObject", PegasusObjectName12n);
}  
	}

	rmEchoInfo("Placing Villagers for Player "+i+" who is "+rmGetPlayerCulture(i));
            rmAddPlayerResource(i, "Food", 50);


//if you've come to a real appreciation of arrays your not alone ;)
         }
   
   // Text
   rmSetStatusText("",0.80);


   // Far things.

   // Gold.
   rmPlaceObjectDefPerPlayer(farGoldID, false, 3);
   
   rmPlaceObjectDefPerPlayer(farGold2ID, false, 1); 

   // Relics
   rmPlaceObjectDefPerPlayer(relicID, false);

   // Goats.
   for(i=1; <cNumberPlayers)
      rmPlaceObjectDefAtLoc(farGoatsID, 0, 0.5, 0.5, 3);

   // Berries.
   rmPlaceObjectDefAtLoc(farBerriesID, 0, 0.5, 0.5, cNumberPlayers*2);

   // Bonus huntable stuff.
   rmPlaceObjectDefAtLoc(bonusHuntableID, 0, 0.5, 0.5, cNumberNonGaiaPlayers*2);

   // Bonus huntable stuff.
   rmPlaceObjectDefAtLoc(bonusHuntable2ID, 0, 0.5, 0.5, cNumberNonGaiaPlayers);

    // Monkeys
   rmPlaceObjectDefPerPlayer(farMonkeyID, false, 1); 

   // Hawks
   rmPlaceObjectDefPerPlayer(farhawkID, false, 2); 

   // Random trees.
   rmPlaceObjectDefAtLoc(randomTreeID, 0, 0.5, 0.5, 20*cNumberNonGaiaPlayers);
   rmPlaceObjectDefAtLoc(randomtree2ID, 0, 0.5, 0.5, 10*cNumberNonGaiaPlayers);

   rmPlaceObjectDefAtLoc(fishID, 0, 0.5, 0.5, 6*cNumberNonGaiaPlayers);
   rmPlaceObjectDefAtLoc(sharkID, 0, 0.5, 0.5, cNumberNonGaiaPlayers);


   int allObjConstraint=rmCreateTypeDistanceConstraint("all obj", "all", 6.0);

   // Forest.
   int classForest=rmDefineClass("forest");
   int forestConstraint=rmCreateClassDistanceConstraint("forest v forest", rmClassID("forest"), 30.0);
   failCount=0;
   numTries=12*cNumberNonGaiaPlayers;
   for(i=0; <numTries)
   {
      int forestID=rmCreateArea("forest"+i, centerID);
      rmSetAreaSize(forestID, rmAreaTilesToFraction(100), rmAreaTilesToFraction(200));
      rmSetAreaWarnFailure(forestID, false);
      rmSetAreaForestType(forestID, "palm forest");
      rmAddAreaConstraint(forestID, allObjConstraint);
      rmAddAreaConstraint(forestID, forestConstraint);
      rmAddAreaConstraint(forestID, shortCliffConstraint);
      rmAddAreaToClass(forestID, classForest);
      
      rmSetAreaMinBlobs(forestID, 3);
      rmSetAreaMaxBlobs(forestID, 7);
      rmSetAreaMinBlobDistance(forestID, 16.0);
      rmSetAreaMaxBlobDistance(forestID, 40.0);
      rmSetAreaCoherence(forestID, 0.0);

      if(rmBuildArea(forestID)==false)
      {
         // Stop trying once we fail 6 times in a row.
         failCount++;
         if(failCount==6)
            break;
      }
      else
         failCount=0;
   }


   // Text
   rmSetStatusText("",0.90);


   // Grass
   int avoidGrass=rmCreateTypeDistanceConstraint("avoid grass", "grass", 20.0);
   int grassID=rmCreateObjectDef("grass");
   rmAddObjectDefItem(grassID, "grass", 3, 4.0);
   rmSetObjectDefMinDistance(grassID, 0.0);
   rmSetObjectDefMaxDistance(grassID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(grassID, avoidGrass);
   rmAddObjectDefConstraint(grassID, avoidAll);
   rmPlaceObjectDefAtLoc(grassID, 0, 0.5, 0.5, 20*cNumberNonGaiaPlayers);

   // Bushes
   /* More suitable for desert now /*
   /*
   int bushID=rmCreateObjectDef("bush");
   rmAddObjectDefItem(bushID, "bush", 3, 2.0);
   rmSetObjectDefMinDistance(bushID, 0.0);
   rmSetObjectDefMaxDistance(bushID, rmXFractionToMeters(0.5));
   rmAddObjectDefConstraint(bushID, avoidGrass);
   rmAddObjectDefConstraint(bushID, avoidAll);
   rmPlaceObjectDefAtLoc(bushID, 0, 0.5, 0.5, 10*cNumberNonGaiaPlayers);
   */

   // Text
   rmSetStatusText("",0.95);

   //int avoidRock=rmCreateTypeDistanceConstraint("avoid rock", "rock limestone sprite", 5.0);
   int rockID=rmCreateObjectDef("rock");
   rmAddObjectDefItem(rockID, "rock sandstone sprite", 1, 0.0);
   rmSetObjectDefMinDistance(rockID, 0.0);
   rmSetObjectDefMaxDistance(rockID, rmXFractionToMeters(0.5));
   //rmAddObjectDefConstraint(rockID, avoidRock);
   rmAddObjectDefConstraint(rockID, avoidAll);
   rmPlaceObjectDefAtLoc(rockID, 0, 0.5, 0.5, 50*cNumberNonGaiaPlayers);

   // Text
   rmSetStatusText("",1.00);

}  
